const_iterator
const_iterator
const_iterator
const_iterator
const_reverse_iterator
internal_iterator
iterator
iterator
iterator
json_value
json_value
json_value
json_value
json_value
json_value
json_value
json_value
lexer
lexer
lexer
lexer
parser
parser
reverse_iterator
array
array_iterator
at
at
at
at
back
back
basic_json
basic_json
begin
begin
boolean
cbegin
cend
clear
count
crbegin
crend
difference_type
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
generic_iterator
get
get_number
get_ptr
get_string
get_token
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_category
iterator_category
key
key
key
key
lexer_char_t
max_size
number_float
number_integer
object
object_iterator
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator()
operator*
operator*
operator+
operator+
operator++
operator++
operator++
operator++
operator+=
operator+=
operator+=
operator+=
operator+=
operator-
operator-
operator-
operator-
operator--
operator--
operator--
operator--
operator-=
operator-=
operator->
operator->
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
pointer
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
reference
rend
rend
scan
size
string
swap
swap
swap
swap
swap
to_unicode
token_type
token_type_name
type
value
value
value
value
value_type
value_type
yyfill

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

long double nlohmann::basic_json::lexer::get_number | ( |  | ) | const

inline

This function translates the last token into a floating point number. The pointer m_begin points to the beginning of the parsed number. We pass this pointer to std::strtod which sets endptr to the first character past the converted number. If this pointer is not the same as m_cursor, then either more or less characters have been used during the comparison. This can happen for inputs like "01" which will be treated like number 0 followed by number 1.

Returns
  the result of the number conversion or NAN if the conversion read past the current token. The latter case needs to be treated by the caller function.

Exceptions

  std::range_error | if passed value is out of range